function [simulacion]=generador(cuantos, valores, probabilidades)

%% Generamos un vector de nmeros aleatorios
aleatorio=rand(1,cuantos);

%% Creamos la funcin de distribucin acumulada del vector de probabilidades
acumulada=cumsum(probabilidades);

%%
for j=1:cuantos,
   %% Con la funcin de distribucin acumulada, encontramos el valor que 
   %% corresponde a cada nmero entre 0 y 1 generado antes.
   simulacion(j)=valores(min(find(acumulada>=aleatorio(j)))) ;  
end

hist(simulacion, valores)
