function [valores, probabilidades]=binomial(n,p)

%% Esta funcin lee un valor n y un p y devuelve los vectores de valores  
%% y probabilidades de la binomial correspondiente. 
%% Ntese que se usa la instruccin "nchoosek", que puede
%% dar problemas en alguna versin de Matlab.

%% Por si queremos evitar los warnings, aadir la lnea 
%  warning off;

valores=[0:n];

for j=1:n+1
   probabilidades(j)=nchoosek(n,j-1)*p^(j-1)*(1-p)^(n-j+1);
end

%% Esto es para dibujar el "histograma"

bar(valores, probabilidades, 'width', 0.5)


