function [simulacion]=generabinomial(cuantos, n, p)

valores=[1:n];

for j=1:n
   probabilidades(j)=nchoosek(n, j-1)*p^(j-1)*(1-p)^(n-j+1);
   end

aleatorio=rand(1,cuantos);
acumulada=cumsum(probabilidades);
for j=1:cuantos,
   %% Con la funcin de distribucin acumulada, encontramos el valor que 
   %% corresponde a cada nmero entre 0 y 1 generado antes.
   simulacion(j)=valores(min(find(acumulada>=aleatorio(j)))) ;  
end
   
hist(simulacion, valores)
